Bug 573225 - Review Request: perl-Sub-Prototype - Allows you to set a subs prototype
Summary: Review Request: perl-Sub-Prototype - Allows you to set a subs prototype
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-13 14:46 UTC by Emmanuel Seyman
Modified: 2010-04-09 03:47 UTC (History)
2 users (show)

Fixed In Version: perl-Sub-Prototype-0.02-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-01 01:47:00 UTC
cweyl: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Emmanuel Seyman 2010-03-13 14:46:47 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Sub-Prototype/perl-Sub-Prototype.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Sub-Prototype/perl-Sub-Prototype-0.02-1.fc12.src.rpm
Description:
This modules allows you to set a subs prototype. It only has one function,
which is exported by default.

Comment 1 Chris Weyl 2010-03-13 21:00:09 UTC
Koji (FAILURE) http://koji.fedoraproject.org/koji/taskinfo?taskID=2050883

Comment 2 Chris Weyl 2010-03-13 21:00:59 UTC
Test::More strikes again.

Comment 4 Chris Weyl 2010-03-14 05:36:25 UTC
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=2051334

Comment 5 Chris Weyl 2010-03-14 05:37:35 UTC
Looks good!

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2051334

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
71e7f48e8553c3b760f0076619df74290dea036f Sub-Prototype-0.02.tar.gz
71e7f48e8553c3b760f0076619df74290dea036f Sub-Prototype-0.02.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-Sub-Prototype-0.02-2.fc13.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Sub-Prototype-0.02-2.fc13.src.rpm
====> requires for perl-Sub-Prototype-0.02-2.fc13.src.rpm
perl  
perl(ExtUtils::MakeMaker)  
perl(Sub::Exporter)  
perl(Test::More)  

=====> perl-Sub-Prototype-0.02-2.fc13.x86_64.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Sub-Prototype-0.02-2.fc13.x86_64.rpm
perl(Sub::Prototype) = 0.02
perl-Sub-Prototype = 0.02-2.fc13
perl-Sub-Prototype(x86-64) = 0.02-2.fc13
====> requires for perl-Sub-Prototype-0.02-2.fc13.x86_64.rpm
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
perl >= 0:5.008001
perl(:MODULE_COMPAT_5.10.1)  
perl(strict)  
perl(Sub::Exporter)  
perl(warnings)  
perl(XSLoader)  
rtld(GNU_HASH)  

=====> perl-Sub-Prototype-debuginfo-0.02-2.fc13.x86_64.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Sub-Prototype-debuginfo-0.02-2.fc13.x86_64.rpm
perl-Sub-Prototype-debuginfo = 0.02-2.fc13
perl-Sub-Prototype-debuginfo(x86-64) = 0.02-2.fc13
====> requires for perl-Sub-Prototype-debuginfo-0.02-2.fc13.x86_64.rpm

APPROVED

Comment 6 Emmanuel Seyman 2010-03-14 12:41:37 UTC
Thanks! Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-Sub-Prototype
Short Description: Allows you to set a subs prototype
Owners: eseyman
Branches: F-13 F-12 F-11
InitialCC: perl-sig

Comment 7 Tom "spot" Callaway 2010-03-15 21:46:36 UTC
CVS done (by process-cvs-requests.py).

Comment 8 Fedora Update System 2010-03-16 00:07:16 UTC
perl-Sub-Prototype-0.02-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Sub-Prototype-0.02-2.fc11

Comment 9 Fedora Update System 2010-03-16 00:07:20 UTC
perl-Sub-Prototype-0.02-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Sub-Prototype-0.02-2.fc13

Comment 10 Fedora Update System 2010-03-16 00:07:25 UTC
perl-Sub-Prototype-0.02-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Sub-Prototype-0.02-2.fc12

Comment 11 Fedora Update System 2010-03-16 23:16:42 UTC
perl-Sub-Prototype-0.02-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Sub-Prototype'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Sub-Prototype-0.02-2.fc12

Comment 12 Fedora Update System 2010-03-16 23:21:46 UTC
perl-Sub-Prototype-0.02-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Sub-Prototype'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Sub-Prototype-0.02-2.fc11

Comment 13 Fedora Update System 2010-03-16 23:22:22 UTC
perl-Sub-Prototype-0.02-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Sub-Prototype'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Sub-Prototype-0.02-2.fc13

Comment 14 Fedora Update System 2010-04-01 01:46:55 UTC
perl-Sub-Prototype-0.02-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-04-01 01:56:27 UTC
perl-Sub-Prototype-0.02-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-04-09 03:47:23 UTC
perl-Sub-Prototype-0.02-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.